<?php

use App\Controller\OccupationsController;

$this->append('script');
?>
<script type="text/javascript">
    jQuery().ready(function () {

        jQuery('.additional-info-panel').hide();
        /**
         *
         * Load the Additional Details Form for the 
         * Appripriate Role
         * 
         */
        jQuery('#role').change(function () {
            jQuery('.additional-info-panel').hide();
            switch (jQuery(this).val()) {
                case 'agent':
                    jQuery('#agent-details').show();
                    break;
                case 'do':
                    jQuery('#do-details').show();
                    break;
            }

        }).trigger('change');
    });
</script>
<?php
$this->end();
?>
<?php
echo $this->Form->create($user, array(
    'class' => 'form-horizontal',
    'type' => 'file',
));
?>
<?php $this->Form->useDefaults(TRUE); ?>

<section class="panel">
    <header class="portlet-title">
        <h3 class="page-title pull-left"><?php echo __('Add User'); ?></h3>
        <div class="clearfix"></div>
    </header>
    <div class="portlet box blue-hoki">
        <div class="portlet-title">
            <div class="caption"> <i class="fa fa-gift"></i> Genral Information </div>
        </div>
        <div class="portlet-body form">
            <div class="form-horizontal">
                <div class="panel-body">
                    <div class="col-md-9 col-md-offset-2">
                        <div class="form-group">
                            <label class="col-md-3 control-label" for="first-name"><?php echo __('Fist Name'); ?></label>
                            <div class="col-md-4">
                                <?php
                                echo $this->Form->input('first_name', [
                                    'placeholder' => __('First Name of User'),
                                ]);
                                ?>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-3 control-label" for="last-name"><?php echo __('Last Name'); ?></label>
                            <div class="col-md-4">
                                <?php
                                echo $this->Form->input('last_name', [
                                    'placeholder' => __('Last Name of User'),
                                ]);
                                ?>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-3 control-label" for="email"><?php echo __('E-mail'); ?></label>
                            <div class="col-md-4">
                                <?php
                                echo $this->Form->input('email', [
                                    'placeholder' => __('E-mail Address of User'),
                                ]);
                                ?>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-md-3 control-label" for="role"><?php echo __('Role'); ?></label>
                            <div class="col-md-4 roles">
                                <?php
                                foreach ($user_types as $key => $value):
                                    echo '<div class="checkbox">' . $this->Form->checkbox($key, ['hiddenField' => false, 'value' => '1']) . $value . '</div>';
                                endforeach;
                                ?>
                            </div>
                        </div>
                    </div>
                    <div class="clearfix"></div>
                    <div class="col-md-9 col-md-offset-3">
                        <div class="row">
                            <div class="col-md-5">
                                <div class="form-group">
                                    <label class="col-md-4 control-label"><?php echo __('Photograph'); ?></label>
                                    <div class="col-md-7">
                                        <?php
                                        if ($isEdit) {
                                            echo $this->Form->file('image');
                                        } else {
                                            echo $this->Form->file('image', ['required' => 'required']);
                                        }
                                        ?>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-md-4 control-label" for="status"><?php echo __('Status'); ?></label>
                                    <div class="col-md-7"> <?php echo $this->Form->input('status'); ?> </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-md-4 control-label" for="password">
                                        <?= __('password'); ?>
                                    </label>
                                    <div class="col-md-7">
                                        <?php
                                        echo $this->Form->input('password', [
                                            'placeholder' => __('Password For User'),
                                        ]);
                                        ?>
                                    </div>
                                </div>
                                <div class="form-group">
                                    <label class="col-md-4 control-label" for="confirm_password">
                                        <?= __('Confirm Password'); ?>
                                    </label>
                                    <div class="col-md-7">
                                        <?php
                                        echo $this->Form->input('confirm_password', [
                                            'type' => 'password',
                                            'placeholder' => __('Confirm Password For User'),
                                        ]);
                                        ?>
                                    </div>
                                </div>
                            </div>
                            <div class="col-md-5 col-md-offset-2">
                                <?php foreach ($user_fields as $user_field): ?>
                                    <div class="form-group">
                                        <label class="col-md-4 control-label" for="<?= $user_field->field_name ?>">
                                            <?= __($user_field->field_title); ?>
                                        </label>
                                        <div class="col-md-7">
                                            <?php
                                            if ($user_field->field_required == 1) {
                                                echo $this->Form->input($user_field->field_name, ['required' => 'required']);
                                            } else {
                                                echo $this->Form->input($user_field->field_name);
                                            }
                                            ?>
                                        </div>
                                    </div>
                                <?php endforeach; ?>
                            </div>
                        </div>
                    </div>
                    <div class="clearfix">&nbsp;</div>
                </div>
            </div>
        </div>
    </div>
    <div class="row-fluid clearfix">
        <div class="col-md-9 col-md-offset-3">
            <div class="form-group">
                <div class="col-xs-10">
                    <button class="btn btn-primary btn-lg" type="Submit"><?php echo ($isEdit) ? __('Update') : __('Add'); ?></button>
                    <a href="<?php echo $this->Url->build(array('action' => 'index')); ?>" class="btn btn-lg btn-danger"><?php echo __('Cancel'); ?></a> </div>
            </div>
        </div>
    </div>
</section>
<?= $this->Form->end() ?>
