<section class="panel">
    <header class="portlet-title">
        <h3 class="page-title pull-left"><?php echo __('Users'); ?></h3>
        <div class="pull-right page-action">
            <ul class="list-inline">
                <li><a class="btn btn-primary" href="<?= $this->Url->build(['action' => 'add']); ?>"> <?php echo __('Add User'); ?> </a></li>
            </ul>
        </div>
        <div class="clearfix"></div>
    </header>
    <div class="portlet box blue-hoki ">
        <div class="portlet-title">
            <div class="caption">List of <?php echo __('Users'); ?></div>
        </div>
        <div class="portlet-body">
            <div class="dataTables_wrapper no-footer">
                <table class="table table-striped table-bordered table-hover dt-responsive" id="sample_1">
                    <thead>
                        <tr>
                            <th><?= $this->Paginator->sort('id') ?></th>
                            <th><?= $this->Paginator->sort('Image') ?></th>
                            <th><?= $this->Paginator->sort('email') ?></th>
                            <th><?= $this->Paginator->sort('first_name') ?></th>
                            <th><?= $this->Paginator->sort('last_name') ?></th>
                            <th><?= $this->Paginator->sort('status') ?></th>
                            <th class="actions"><?= __('Actions') ?></th>
                        </tr>
                    </thead>
                    <tbody>
                        <?php foreach ($users as $user): ?>
                            <tr>
                                <td><?= $this->Number->format($user->id) ?></td>
                                <td><div class="profile-userpic"><?php
                                        if ($user->image) {
                                            $image = WEBSITE_URL . '/webroot/uploads/users/' . $user->image;
                                            echo $this->Html->image($image, ['width' => 100, 'class' => 'thumbnail']);
                                        } else {
                                            echo $this->Html->image('no-image.jpg', ['width' => 100, 'class' => 'thumbnail']);
                                        }
                                        ?></div></td>
                                <td><?= h($user->email) ?></td>
                                <td><?= h($user->first_name) ?></td>
                                <td><?= h($user->last_name) ?></td>
                                <td><?= h($user->status) ?></td>
                                <td class="actions">
                                    <?= $this->Html->link(__('<i class="fa fa-edit"></i> Edit'), ['action' => 'edit', $user->id], ['class' => 'btn btn-outline btn-circle dark btn-sm green', 'escape' => false]) ?>
                                    <?= $this->Form->postLink(__('<i class="fa fa-trash-o"></i> Delete'), ['action' => 'delete', $user->id], ['confirm' => __('Are you sure you want to delete # {0}?', $user->id), 'class' => 'btn btn-outline btn-circle dark btn-sm red', 'escape' => false]) ?>
                                    <?= $this->Html->link(__('<i class="fa fa-search"></i> View Details'), ['action' => 'view', $user->id], ['class' => 'btn btn-outline btn-circle dark btn-sm purple', 'escape' => false]) ?>
                                </td>
                            </tr>
                        <?php endforeach; ?>
                    </tbody>
                </table>
                <?php /* ?><div class="row">
                  <div class="col-md-5 col-sm-5">
                  <div aria-live="polite" role="status" id="sample_1_info" class="dataTables_info">Showing
                  <?= $this->Paginator->counter() ?>
                  user</div>
                  </div>
                  <div class="col-md-7 col-sm-7">
                  <div class="dataTables_paginate paging_bootstrap_full_number  text-right">
                  <div class="paginator">
                  <ul class="pagination">
                  <?= $this->Paginator->prev('<i class="fa fa-angle-left"></i>' . __('Previous'), ['escape'=>false]) ?>
                  <?= $this->Paginator->numbers() ?>
                  <?= $this->Paginator->next(__('Next') . '<i class="fa fa-angle-right"></i>', ['escape'=>false]) ?>
                  </ul>
                  </div>
                  </div>
                  </div>
                  </div><?php */ ?>
            </div>
        </div>
    </div>
</section>
