<?php $this->assign('title', 'My Profile'); ?>

<section class="pageBody">
    <div class="container">
        <div class="row">
            <div class="col-md-3">
                <h3 class="secTitle">Profile Manager</h3>
                <?= $this->Element('sidebar/user_sidebar'); ?>
            </div>
            <div class="col-md-9">
                <header class="portlet-title">
                    <h3 class="page-title"><?php echo __('Orders'); ?></h3>
                    <div class="clearfix"></div>
                </header>
                <div class="dataTables_wrapper no-footer">
                    <table class="table tbl-responsive tbl-order table-striped table-bordered table-hover dt-responsive" id="">
                        <thead>
                            <tr>
                                <th><?= __('Transaction ID') ?></th>
                                <th><?= $this->Paginator->sort('amount_paid') ?>
                                    ($)</th>
                                <th><?= __('Order Date') ?></th>
                                <th><?= $this->Paginator->sort('payment_mode') ?></th>
                                <th><?= $this->Paginator->sort('status') ?></th>
                                <th class="actions"><?= __('Actions') ?></th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php
                            $i = 1;
                            if ($orders->isEmpty()) {
                                echo '<tr><td colspan="6" align="center">No Order Found</td></tr>';
                            } else {
                                foreach ($orders as $order):
                                    ?>
                                    <tr>
                                        <td><?= h("SANS-" . $order->id) ?></td>
                                        <td><?= "$" . number_format($order->amount_paid) ?></td>
                                        <td><?= date("d F Y",strtotime($order->created)) ?></td>
                                        <td><?= h($payment_modes[$order->payment_mode]) ?></td>
                                        <td><?php
                                            if ($order->payment_status == 0) {
                                                echo "Unpaid";
                                            } else {
                                                echo "Paid";
                                            }
                                            ?></td>
                                        <td class="actions"><?= $this->Html->link(__('<i class="fa fa-search"></i> View Details'), ['action' => 'order_detail', $order->id], ['class' => 'btn btn-primary btn-xs', 'escape' => false]) ?></td>
                                    </tr>
                                    <?php
                                    $i++;
                                endforeach;
                            }
                            ?>
                        </tbody>
                    </table>
                    <?php if (!$orders->isEmpty()) { ?>
                        <div class="paginator text-center">
                            <ul class="pagination">
                                <?= $this->Paginator->prev('< ' . __('previous')) ?>
                                <?= $this->Paginator->numbers() ?>
                                <?= $this->Paginator->next(__('next') . ' >') ?>
                            </ul>
                            <p>
                                <?= $this->Paginator->counter() ?>
                            </p>
                        </div>
                    <?php } ?>
                </div>
            </div>
        </div>
    </div>
</section>
